/*
** Module   : ComboBoxElement.java
** Abstract : Groups widgets that may be or contain combo-box element.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------------Description--------------------------------------
** 001 SVL 20141102 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Groups widgets that may be or contain combo-box element.
 */
public interface ComboBoxElement
{
   /**
    * Set value of the SORT attribute.
    *
    * @param    sort
    *           Value of the attribute.
    */
   public void setSort(boolean sort);

   /**
    * Set value of the SORT attribute.
    *
    * @param    sort
    *           Value of the attribute.
    */
   public void setSort(logical sort);

   /**
    * Get value of the SORT attribute.
    *
    * @return   value of the attribute.
    */
   public logical isSort();

   /**
    * Set value of the MAX-CHARS attribute.
    *
    * @param    maxChars
    *           Value of the attribute.
    */
   public void setMaxChars(double maxChars);

   /**
    * Set value of the MAX-CHARS attribute.
    *
    * @param    maxChars
    *           Value of the attribute.
    */
   public void setMaxChars(NumberType maxChars);

   /**
    * Get value of the MAX-CHARS attribute.
    *
    * @return   value of the attribute.
    */
   public integer getMaxChars();
}
